#! /usr/bin/gawk -f

# Írj olyan AWK scriptet, ami kiszűri a helyes webcímeket a helytelenek közül!
# Az általunk által kitalált szabályok szerint egy URL a következőképpen néz ki:
# -http vagy https-el kezdődik
# -ezután következik: ://
# -minden cím www. -al kezdődik, valamint .com, .net, vagy .org -ra végződik
# -a kezdete és a vége között legalább egy hosszú szövegnek kell elhelyezkedni, melyben nem lehet "."

$1~/^(http(s?)):\/\/www(\.){1}([^.]+)(\.){1}(com|org|net)(\/$)/{
	print $1
}

# A valóságban az URL-ek nem így néznek ki, akit érdekel bővebben: https://hu.wikipedia.org/wiki/URL
